This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 27469 - "Meta" shortcut keys don't work; must use "Alt"
"Meta" shortcut keys don't work; must use "Alt"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 20:27 EST by Warren Young
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 12:42:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Young 2001-02-13 20:27:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)


The default shortcut keys (e.g. M-Tab) that come with sawfish don't work. 
If you change them to A-Tab ("alt" instead of "meta"), they do work.  This
may be a keyboard binding issue rather than a sawfish issue.  I selected
the Generic 104 key (non-international) keyboard in the RH installation
routine.

Reproducible: Always
Steps to Reproduce:
Install RH7.1 beta fresh, then try Alt-F2 (switch to workspace 2) or
Alt-Tab (cycle windows).  These will fail.  Then go into GNOME control
center, change the shortcuts to use A-* instead of M-*, and try the Alt-F2
or Alt-Tab again.  It'll work now.
Comment 1 David Mason 2001-02-14 11:19:24 EST
hp, I did not see this on the clean install I did yesterday - but we should
double check it
Comment 2 Havoc Pennington 2001-02-14 13:07:52 EST
I don't think this is a bug - if you have a 104-key keyboard, then meta is the
"Windows" keys and alt is alt. The keybindings we ship are to meta not alt.
Bouncing it past the installer team to be sure this is correct.

Note You need to log in before you can comment on or make changes to this bug.